<div style="text-align: center;">
<a href="add_product.php">เพิ่มสินค้า</a> | 
<a href="cart.php">ตะกร้าสินค้า</a> |
<a href="logout.php">ออกจากระบบ</a> |
<a href="login.php">เข้าสู่ระบบ</a>
</div>

<?php
include 'connect.php';

$search = "";
if (isset($_GET['search'])) {
    $search = $_GET['search'];
}

$stmt = $conn->prepare("SELECT * FROM products WHERE name LIKE ?");
$stmt->execute(["%$search%"]);
$products = $stmt->fetchAll();
?>

<form method="GET">
    ค้นหาสินค้า: <input type="text" name="search" value="<?= htmlspecialchars($search) ?>">
    <button type="submit">ค้นหา</button>
</form>

<div class="table-container">
<table border="1" cellpadding="5" cellspacing="0">
    <tr>
        <th>รหัสสินค้า</th>
        <th>ชื่อสินค้า</th>
        <th>ราคา</th>
        <th>การจัดการ</th>
    </tr>

    <?php foreach ($products as $product) : ?>
        <tr>
            <td><?= $product['id'] ?></td>
            <td><?= htmlspecialchars($product['name']) ?></td>
            <td><?= number_format($product['price'], 2) ?> บาท</td>
            <td>
                <a href="edit_product.php?id=<?= $product['id'] ?>">แก้ไข</a> |
                <a href="delete_product.php?id=<?= $product['id'] ?>" onclick="return confirm('คุณแน่ใจหรือไม่?')">ลบ</a> |
                <a href="cart.php?add=<?= $product['id'] ?>">เพิ่มลงตะกร้า</a>
            </td>
        </tr>
    <?php endforeach; ?>
</table>
</div>